- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | Static Public Attributes

# QMapData Struct Reference

Search for all occurrences

## Detailed Description

Definition at line 61 of file qmap.h.

`#include <qmap.h>`

List of all members.

## Classes
struct | Node
## Public Types
enum | { LastLevel = 11, Sparseness = 3 }
## Public Member Functions
void | continueFreeData (int offset)
Node * | node_create (Node *update[], int offset)
Node * | node_create (Node *update[], int offset, int alignment)
void | node_delete (Node *update[], int offset, Node *node)
## Static Public Member Functions
static QMapData * | createData ()
static QMapData * | createData (int alignment)
## Public Attributes
QMapData * | backward
QMapData * | forward [QMapData::LastLevel+1]
QBasicAtomicInt | ref
int | topLevel
int | size
uint | randomBits
uint | insertInOrder: 1
uint | sharable: 1
uint | strictAlignment: 1
uint | reserved: 29
## Static Public Attributes
static QMapData | shared_null

## Member Enumeration Documentation

anonymous enum

Search for all occurrences

Enumerator:

  LastLevel | Search for all occurrences
  Sparseness | Search for all occurrences

Definition at line 67 of file qmap.h.

    { LastLevel = 11, Sparseness = 3 };

## Member Function Documentation

static QMapData* createData | ( |  | ) | `[static]`

Search for all occurrences

static QMapData* createData | ( | int | alignment | ) | `[static]`

Search for all occurrences

void continueFreeData | ( | int | offset | ) |

Search for all occurrences

Node* node_create | ( | Node * | update[],
|  | int | offset
| ) |  |

Search for all occurrences

Node* node_create | ( | Node * | update[],
|  | int | offset,
|  | int | alignment
| ) |  |

Search for all occurrences

void node_delete | ( | Node * | update[],
|  | int | offset,
|  | Node * | node
| ) |  |

Search for all occurrences

## Member Data Documentation

QMapData* backward

Search for all occurrences

Definition at line 69 of file qmap.h.

QMapData* forward[QMapData::LastLevel+1]

Search for all occurrences

Definition at line 70 of file qmap.h.

QBasicAtomicInt ref

Search for all occurrences

Definition at line 71 of file qmap.h.

int topLevel

Search for all occurrences

Definition at line 72 of file qmap.h.

int size

Search for all occurrences

Definition at line 73 of file qmap.h.

uint randomBits

Search for all occurrences

Definition at line 74 of file qmap.h.

uint insertInOrder

Search for all occurrences

Definition at line 75 of file qmap.h.

uint sharable

Search for all occurrences

Definition at line 76 of file qmap.h.

uint strictAlignment

Search for all occurrences

Definition at line 77 of file qmap.h.

uint reserved

Search for all occurrences

Definition at line 78 of file qmap.h.

QMapData shared_null `[static]`

Search for all occurrences

Definition at line 91 of file qmap.h.

The documentation for this struct was generated from the following file:

- QtCore/qmap.h